Page MenuHomePhabricator

Unclear phrasing on OAuth help page
Closed, ResolvedPublic

Description

Author: metatron

Description:
On OAuth help page https://www.mediawiki.org/wiki/Help:OAuth the phrasing in the last parapgrah is not clear.

"Where can I register my own application?[edit | edit source]
Here. (Make sure to use "http://" in the callback URL or the callback won't work!)"

  • Does it mean, you have to specify the protocol together with the domain or
  • does it require the use of http rather than https ?

Regards
Hedonil


Version: unspecified
Severity: normal

Details

Reference
bz60131

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:59 AM
bzimport set Reference to bz60131.
bzimport added a subscriber: Unknown Object (MLST).

Protocol must be specified. It will be sent to the browser with a Location: header, so http or https are probably preferred.

bd808 added a subscriber: bd808.

Updated help page text:

(Make sure to include the protocol (i.e. "http://" or "https://") in the callback URL or the callback won't work!)

@csteipp if you approve of the change I think we can close this documentation task as resolved.

bd808 claimed this task.Feb 18 2015, 5:28 AM
bd808 added a project: MediaWiki-Core-Team.
bd808 moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.
csteipp closed this task as Resolved.Feb 18 2015, 6:18 PM

lgtm

bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Feb 23 2015, 11:58 PM